#include <bits/stdc++.h>

using namespace std;

int main(){
    int n,m,s=0;
    cin>>n>>m;
    vector<int> v;
    for(int i=0;i<n;i++){
        int a;
        cin>>a;
        v.push_back(a);
    }
    for(int i=0;i<m;i++){
        int a,b;
        cin>>a>>b;
        s=s+abs(v[a-1]+v[b-1]);
    }
    cout<<s;
    return 0;
}